=== debian/changelog ===
ros-indigo-lama-test (0.1.2-0trusty) trusty; urgency=high

  * set dissimilarity server name
  * Remove random_walker.py
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Mon, 26 Jan 2015 23:00:00 -0000

ros-indigo-lama-test (0.1.1-0trusty) trusty; urgency=high

  * First public release for Indigo
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 13 Jan 2015 23:00:00 -0000
